EventRouter Service, REST: Bus.List
Retrieves the list of buses in the specified folder.
HTTP request
GET https://serverless-eventrouter.api.yandexcloud.kz/eventrouter/v1/buses
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list buses in. |
|
pageSize |
string (int64) Maximum number of buses to return. |
|
pageToken |
string Page token. To get the next page of results, set |
|
filter |
string Supported fields for filter: |
Response
HTTP Code: 200 - OK
{
"buses": [
{
"id": "string",
"folderId": "string",
"cloudId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"status": "string",
"loggingEnabled": "boolean",
"logOptions": {
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
buses[] |
List of buses. |
|
nextPageToken |
string Token for getting the next page of the list of buses. |
Bus
|
Field |
Description |
|
id |
string ID of the bus. |
|
folderId |
string ID of the folder that the bus belongs to. |
|
cloudId |
string ID of the cloud that the bus resides in. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the bus. |
|
description |
string Description of the bus. |
|
labels |
object (map<string, string>) Resource labels as |
|
deletionProtection |
boolean Deletion protection. |
|
status |
enum (Status) Status of the bus.
|
|
loggingEnabled |
boolean Is logging from the bus enabled. |
|
logOptions |
Options for logging from the bus. |
LogOptions
|
Field |
Description |
|
logGroupId |
string Entry will be written to log group resolved by ID. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
folderId |
string Entry will be written to default log group for specified folder. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
minLevel |
enum (Level) Minimum log entry level.
|